#
# Conditional build:
%bcond_with	tests		# do not perform "make test"
#
%include	/usr/lib/rpm/macros.perl
%define	pdir	Passwd
%define	pnam	Linux
Summary:	Passwd::Linux - Perl module for manipulating the passwd and shadow files
Summary(pl.UTF-8):	Passwd::Linux - Moduł Perla do manipulowania plikami passwd i shadow
Name:		perl-Passwd-Linux
Version:	1.2
Release:	5
License:	unknown
Group:		Development/Languages/Perl
Source0:	http://search.cpan.org/CPAN/authors/id/E/EE/EESTABROO/%{pdir}-%{pnam}-%{version}.tar.gz
# Source0-md5:	28e46f1991d2a26e54c8593487a14c27
URL:		http://search.cpan.org/dist/Passwd-Linux/
BuildRequires:	perl-devel >= 1:5.8.0
BuildRequires:	rpm-perlprov >= 4.1-13
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Passwd::Linux provides additional password routines. It augments the
getpw* functions with setpwinfo, modpwinfo, rmpwnam, mgetpwnam. You
need to run most of the functions as root or as someone who has
permission to modify the shadow file.

%description -l pl.UTF-8
Passwd::Linux dostarcza dodatkowych metod obsługi haseł. Powiększa
funkcje getpw* o setpwinfo, modpwinfo, rmpwnam, mgetpwnam. Większość
tych funkcji musi być uruchomiona z uprawnieniami roota lub osoby
mającej uprawnienia do modyfikacji pliku shadow.

%prep
%setup -q -n %{pdir}-%{pnam}-%{version}

%build
%{__perl} Makefile.PL \
	INSTALLDIRS=vendor
%{__make} \
	CC="%{__cc}" \
	OPTIMIZE="%{rpmcflags}"

%{?with_tests:%{__make} test}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} pure_install \
	DESTDIR=$RPM_BUILD_ROOT

rm -f $RPM_BUILD_ROOT%{perl_vendorarch}/auto/Passwd/Linux/.packlist

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc Changes
%dir %{perl_vendorarch}/Passwd
%{perl_vendorarch}/Passwd/*.pm
%dir %{perl_vendorarch}/auto/Passwd
%dir %{perl_vendorarch}/auto/Passwd/Linux
%attr(755,root,root) %{perl_vendorarch}/auto/Passwd/Linux/*.so
%{_mandir}/man3/*
%changelog
* Thu Aug 30 2018 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/perl-Passwd-Linux.git;a=log;h=master

* Thu Aug 30 2018 Jan Rękorajski <baggins@pld-linux.org> 6b3536d
- rebuild with perl 5.28.0
- release 5 (by relup.sh)

* Sun Jun 11 2017 Jan Rękorajski <baggins@pld-linux.org> 7b0c6de
- perl req/prov fix
- release 4 (by relup.sh)

* Sun Jun 11 2017 Jan Rękorajski <baggins@pld-linux.org> 6263cb4
- rebuild with perl 5.26
- release 3 (by relup.sh)

* Sun Oct 30 2016 Jan Rękorajski <baggins@pld-linux.org> 65c2e4a
- rebuild with perl 5.24.0
- release 2 (by relup.sh)

* Sat Jan 02 2016 Jan Rękorajski <baggins@pld-linux.org> 8bc55cf
- up to 1.2
- disabled tests (require root privs)

* Fri Dec 25 2015 Jan Rękorajski <baggins@pld-linux.org> 49b27bf
- release 10 (by relup.sh)

* Thu Dec 24 2015 Jan Rękorajski <baggins@pld-linux.org> a22541f
- release 9 (by relup.sh)

* Thu Feb 26 2015 Jan Rękorajski <baggins@pld-linux.org> 75eb92b
- x32 rebuild
- release 8 (by relup.sh)

* Fri Sep 12 2014 Jan Rękorajski <baggins@pld-linux.org> 32820f4
- release 7 (by relup.sh)

* Fri Sep 12 2014 Jan Rękorajski <baggins@pld-linux.org> c4cf7b6
- removed zero-sized .bs file

* Fri Sep 12 2014 Jan Rękorajski <baggins@pld-linux.org> ccc7c84
- rebuild for perl 5.20
- release 6 (by relup.sh)

* Sat Jun 08 2013 Jan Rękorajski <baggins@pld-linux.org> 3a59ddd
- rebuild with perl 5.18.0
- release 5 (by relup.sh)

* Sun Jun 06 2010 Arkadiusz Miśkiewicz <arekm@maven.pl> 4a9b807
- release 4

* Sun Feb 10 2008 Arkadiusz Miśkiewicz <arekm@maven.pl> 7fb33b1
- rel 3

* Thu Jan 10 2008 Elan Ruusamäe <glen@pld-linux.org> 0ff7427
- add CC to %{__make}
  grep OPTIMIZE= perl-* -l|xargs grep -c CC=|grep :0|cut -d: -f1|xargs sed -i -e '/%{__make} \\$/a\\tCC="%{__cc}" \\'

* Tue Feb 13 2007 Elan Ruusamäe <glen@pld-linux.org> 9de4d28
- tabs in preamble

* Mon Feb 12 2007 Jan Rękorajski <baggins@pld-linux.org> 43d5f7a
- converted to UTF-8

* Fri Dec 30 2005 Elan Ruusamäe <glen@pld-linux.org> 25b8db6
- fix missing dirs; rel 2

* Mon Jan 03 2005 Jakub Bogusz <qboosh@pld-linux.org> bd9c0fe
- typo, URL

* Fri Dec 31 2004 Adam Gołębiowski <adamg@pld-linux.org> 0c680a2
- better Source0 url

